import { HttpClient } from '@angular/common/http';
import { AdminActionModel } from '../models/admin-action.model';
import { AdminActionStore } from './admin-action.store';
import { BaseService } from '../../../shared/state/base.service';
import { AppConfigService } from '../../../shared/services/app-config.service';
import { ListService } from '../../../shared/services/list.service';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class AdminActionService extends BaseService<AdminActionModel> {
    protected actionStore: AdminActionStore;
    protected list: any;
    constructor(actionStore: AdminActionStore, http: HttpClient, appConfigService: AppConfigService, listService: ListService);
    handleValidateAction(name: string, id: string, record: any): Observable<AdminActionModel[]>;
    static ɵfac: i0.ɵɵFactoryDeclaration<AdminActionService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AdminActionService>;
}
