import { HttpClient } from '@angular/common/http';
import { ApiAdminStore } from './api-admin.store';
import { Observable } from 'rxjs';
import { AppConfigService, BaseService } from '../../../shared';
import { ListService } from '../../../shared/services/list.service';
import { ApiConfigModel } from '../models/api-config.model';
import * as i0 from "@angular/core";
/**
 * Service for managing API configurations.
 */
export declare class ApiAdminService extends BaseService<ApiConfigModel> {
    protected apiManagementStore: ApiAdminStore;
    private configService;
    constructor(http: HttpClient, apiManagementStore: ApiAdminStore, configService: AppConfigService, listService: ListService);
    protected list: any;
    checkApiByPathName(name: string, record: any): Observable<ApiConfigModel[]>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ApiAdminService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ApiAdminService>;
}
