import { DictionaryStore } from './dictionary.store';
import { DdAdminModel } from '../models/dictionary.model';
import { BaseQuery } from '../../../shared/state/base.query';
import { Observable } from 'rxjs';
import { ApiPropertyModel } from '../models/api-property.model';
import * as i0 from "@angular/core";
/**
 * DictionaryQuery
 * @description Query for managing dictionary state
 */
export declare class DictionaryQuery extends BaseQuery<DdAdminModel> {
    protected store: DictionaryStore;
    constructor(store: DictionaryStore);
    selectPropertyData(): Observable<ApiPropertyModel>;
    getPropertyData(): ApiPropertyModel;
    selectSidebarVisible(): Observable<any>;
    getSidebarVisible(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<DictionaryQuery, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DictionaryQuery>;
}
