import { HttpClient } from "@angular/common/http";
import { QueueModel } from "../models/queue.model";
import { AppConfigService, BaseService } from "../../../shared";
import { QueueStore } from "./queue.store";
import { ListService } from "../../../shared/services/list.service";
import { Observable } from "rxjs";
import * as i0 from "@angular/core";
export declare class QueueService extends BaseService<QueueModel> {
    queueStore: QueueStore;
    constructor(queueStore: QueueStore, http: HttpClient, appConfigService: AppConfigService, listService: ListService);
    protected list: any;
    getbyApiPath(id: string): Observable<QueueModel[]>;
    getCaseById(url: string): Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<QueueService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<QueueService>;
}
