import { HttpClient } from '@angular/common/http';
import { AppConfigService, BaseService } from '../../../shared';
import { ListService } from '../../../shared/services/list.service';
import { TemplateModel } from '../models/template.model';
import { TemplateAdminStore } from './template-admin.store';
import * as i0 from "@angular/core";
/**
 * Service for managing template configurations.
 */
export declare class TemplateAdminService extends BaseService<TemplateModel> {
    protected templateAdminStore: TemplateAdminStore;
    private configService;
    constructor(http: HttpClient, templateAdminStore: TemplateAdminStore, configService: AppConfigService, listService: ListService);
    protected list: any;
    static ɵfac: i0.ɵɵFactoryDeclaration<TemplateAdminService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TemplateAdminService>;
}
