import { BaseListComponent, TableBuilder } from '../../../../shared';
import { WidgetModel } from '../../models/widget.model';
import { WidgetAdminService } from '../../state/widget-admin.service';
import * as i0 from "@angular/core";
/**
 * Widget Admin List Component
 */
export declare class WidgetAdminListComponent extends BaseListComponent<WidgetModel> {
    private tableBuilder;
    pathName: string;
    editPermission: string;
    deletePermission: string;
    constructor(widgetAdminService: WidgetAdminService, tableBuilder: TableBuilder);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WidgetAdminListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WidgetAdminListComponent, "lib-widget-admin-list", never, {}, {}, never, never, false, never>;
}
