import { BaseModel } from "../../../shared";
/**
 * WidgetModel class represents the model of a widget.
 */
export declare class WidgetModel extends BaseModel {
    name: string;
    apiConfigId: string;
    dataItems: WidgetItemModel[];
    order?: number;
    headerDictionaryID: string;
    subHeaderDictionaryID: string;
    headerDictionaryItemID: string;
    subHeaderDictionaryItemID: string;
    style?: any;
    layoutType?: string;
    isActive: boolean;
}
/**
 * WidgetItemModel class represents the model of a widget item.
 */
export declare class WidgetItemModel extends BaseModel {
    name: string;
    dictionaryItemID: string;
    dictionaryID: string;
    style?: any;
    isActive: boolean;
}
export interface WidgetLayoutTypeModel {
    name: string;
    value: string;
}
