import { EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
export declare class QueueItemComponent {
    filteredQueueData: any[];
    selectedQueueId: string | null;
    selectedStatus: string;
    userRole: boolean;
    showQueueDataForm: boolean;
    queueSelected: EventEmitter<string>;
    statusChanged: EventEmitter<string>;
    insertQueueRequested: EventEmitter<void>;
    onQueueClick(queueId: string): void;
    onStatusChange(event: any): void;
    onInsertQueue(): void;
    isQueueActive(queue: any): boolean;
    isQueueSelected(queueId: string): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<QueueItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<QueueItemComponent, "app-queue-item", never, { "filteredQueueData": { "alias": "filteredQueueData"; "required": false; }; "selectedQueueId": { "alias": "selectedQueueId"; "required": false; }; "selectedStatus": { "alias": "selectedStatus"; "required": false; }; "userRole": { "alias": "userRole"; "required": false; }; "showQueueDataForm": { "alias": "showQueueDataForm"; "required": false; }; }, { "queueSelected": "queueSelected"; "statusChanged": "statusChanged"; "insertQueueRequested": "insertQueueRequested"; }, never, never, false, never>;
}
