import { EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
export declare class QueueListComponent {
    queueData: any[];
    selectedQueueId: string | null;
    selectedStatus: string;
    userRole: boolean;
    showQueueDataForm: boolean;
    queueSelected: EventEmitter<string>;
    statusChanged: EventEmitter<string>;
    insertQueueRequested: EventEmitter<void>;
    onQueueSelected(queueId: string): void;
    onStatusChanged(status: string): void;
    onInsertQueue(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<QueueListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<QueueListComponent, "app-queue-list", never, { "queueData": { "alias": "queueData"; "required": false; }; "selectedQueueId": { "alias": "selectedQueueId"; "required": false; }; "selectedStatus": { "alias": "selectedStatus"; "required": false; }; "userRole": { "alias": "userRole"; "required": false; }; "showQueueDataForm": { "alias": "showQueueDataForm"; "required": false; }; }, { "queueSelected": "queueSelected"; "statusChanged": "statusChanged"; "insertQueueRequested": "insertQueueRequested"; }, never, never, false, never>;
}
