import { EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { QueueModel } from '../../models/queue.model';
import { TableSecondaryModel } from '../../../shared/table-secondary/models/table-secondary.model';
import { MetaDataModel } from '../../../shared/models/meta-data.model';
import * as i0 from "@angular/core";
export declare class QueueRecordTableComponent implements OnChanges {
    sortField: string;
    sortOrder: number;
    table: TableSecondaryModel;
    metaData: MetaDataModel;
    loading: boolean;
    selectedRows: any[];
    resetSort: boolean;
    selectedQueue: any;
    selectionChange: EventEmitter<any[]>;
    selectedRowsData: EventEmitter<any[]>;
    assignmentDataReady: EventEmitter<{
        selectedRows: any[];
        queueData: QueueModel;
    }>;
    rowClick: EventEmitter<any>;
    paginationChanged: EventEmitter<any>;
    filterApplied: EventEmitter<any>;
    sortApplied: EventEmitter<any>;
    onSelectionChange(selection: any[]): void;
    ngOnChanges(changes: SimpleChanges): void;
    onRowClick(record: any): void;
    onPaginationChange(event: any): void;
    onFilterApplied(record: any): void;
    onSort(event: any): void;
    get hasData(): boolean;
    get selectedCount(): number;
    static ɵfac: i0.ɵɵFactoryDeclaration<QueueRecordTableComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<QueueRecordTableComponent, "app-queue-record-table", never, { "table": { "alias": "table"; "required": false; }; "metaData": { "alias": "metaData"; "required": false; }; "loading": { "alias": "loading"; "required": false; }; "selectedRows": { "alias": "selectedRows"; "required": false; }; "resetSort": { "alias": "resetSort"; "required": false; }; "selectedQueue": { "alias": "selectedQueue"; "required": false; }; }, { "selectionChange": "selectionChange"; "selectedRowsData": "selectedRowsData"; "assignmentDataReady": "assignmentDataReady"; "rowClick": "rowClick"; "paginationChanged": "paginationChanged"; "filterApplied": "filterApplied"; "sortApplied": "sortApplied"; }, never, never, false, never>;
}
