import { Router } from '@angular/router';
import { SessionService } from '../../shared/services/session.service';
import { QueueFilterDropdownService } from './queue-filter-dropdown.service';
import * as i0 from "@angular/core";
export declare class QueueBusinessService {
    private router;
    private sessionService;
    private queueFilterDropdownService;
    private destroy$;
    constructor(router: Router, sessionService: SessionService, queueFilterDropdownService: QueueFilterDropdownService);
    filterQueuesByStatus(queues: any[], status: string): any[];
    /**
     * The rest follow in their original order.
     */
    orderQueuesByPriority(queues: any[]): any[];
    getFirstQueueId(filteredQueues: any[]): string | null;
    navigateToQueue(queueId: string, showQueueDataForm: boolean): void;
    navigateToInsertQueue(): void;
    getUserRole(): boolean;
    storeSelectedQueue(queueId: string): void;
    storeApplicationData(record: any): void;
    createDebouncedSearch(delay?: number): import("rxjs").Observable<string>;
    buildQueryString(record: any): string;
    calculatePagination(event: any): {
        page: number;
        limit: number;
    };
    mapApiMetadata(res: any, targetPage: number, targetLimit: number): any;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<QueueBusinessService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<QueueBusinessService>;
}
