import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { Message } from 'primeng/api';
import { BaseQuery } from '../../state/base.query';
import { BaseStore } from '../../state/base.store';
import * as i0 from "@angular/core";
export declare class FormContainerComponent implements OnInit, OnDestroy {
    private baseQuery;
    private baseStore;
    messages: Message[];
    record: any;
    headerText: string | undefined;
    showSave: boolean;
    disableSaveButton: {
        isValid: boolean;
        data: string;
    };
    onSave: EventEmitter<any>;
    onCancel: EventEmitter<any>;
    private destroy$;
    constructor(baseQuery: BaseQuery<any>, baseStore: BaseStore<any>);
    ngOnInit(): void;
    handleSaveClick(): void;
    handleCancelClick(): void;
    handleCreateBtnClick(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormContainerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FormContainerComponent, "form-container", never, { "messages": { "alias": "messages"; "required": false; }; "record": { "alias": "record"; "required": false; }; "headerText": { "alias": "headerText"; "required": false; }; "showSave": { "alias": "showSave"; "required": false; }; "disableSaveButton": { "alias": "disableSaveButton"; "required": false; }; }, { "onSave": "onSave"; "onCancel": "onCancel"; }, never, ["[headerButtons]", "[headerButtons]", "*"], true, never>;
}
