import { BaseControlComponent } from '../../_base/base-control/base-control.component';
import { SelectItem } from 'primeng/api';
import { ListService } from '../../services/list.service';
import { List } from '../../models/list.model';
import { BaseQuery } from '../../state/base.query';
import { BaseStore } from '../../state/base.store';
import * as i0 from "@angular/core";
/**
 * DropdownComponent
 */
export declare class DropdownComponent extends BaseControlComponent {
    listService: ListService;
    options: SelectItem[] | undefined;
    list: List | undefined;
    childListRecords: any[];
    isStaticDropdown: boolean;
    constructor(baseStore: BaseStore<any>, listService: ListService, baseQuery: BaseQuery<any>);
    ngOnChanges(): void;
    handleGetAndSetList(): void;
    private mapResponseToOptions;
    handleModelChange(event: any, valid: boolean | null, val?: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DropdownComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DropdownComponent, "dropdown", never, { "isStaticDropdown": { "alias": "isStaticDropdown"; "required": false; }; }, {}, never, never, true, never>;
}
