import { ElementRef, Renderer2, SimpleChanges, OnChanges } from '@angular/core';
import { SessionService } from '../services/session.service';
import * as i0 from "@angular/core";
export declare class HasPermissionDirective implements OnChanges {
    private el;
    private renderer;
    sessionService: SessionService;
    permission?: string | string[];
    constructor(el: ElementRef, renderer: Renderer2, sessionService: SessionService);
    ngOnChanges(changes: SimpleChanges): void;
    private checkPermission;
    static ɵfac: i0.ɵɵFactoryDeclaration<HasPermissionDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<HasPermissionDirective, "[permission]", never, { "permission": { "alias": "permission"; "required": false; }; }, {}, never, never, false, never>;
}
