import { HttpClient } from '@angular/common/http';
import * as i0 from "@angular/core";
/**
 * This service is used to get the app configuration from the config file.
 */
export declare class AppConfigService {
    private http;
    private appConfig;
    private isConfigLoaded;
    constructor(http: HttpClient);
    loadAppConfig(): Promise<void>;
    private ensureConfigLoaded;
    get apiBaseUrl(): any;
    get interactBaseApi(): any;
    get visibilityOptions(): any;
    get swaggerUrl(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<AppConfigService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AppConfigService>;
}
