import { OnChanges, SimpleChanges } from '@angular/core';
import { WidgetModel } from '../../models/widget.model';
import { StyleBuilderService } from '../../../shared/services/style-builder.service';
import * as i0 from "@angular/core";
export declare class WidgetBodyComponent implements OnChanges {
    private styleBulderService;
    constructor(styleBulderService: StyleBuilderService);
    widget: WidgetModel;
    hasBackgroundColor: Array<boolean>;
    widgetItemStyle: Array<{
        [key: string]: any;
    }>;
    isConfirmed: Array<boolean>;
    ngOnChanges(changes: SimpleChanges): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WidgetBodyComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WidgetBodyComponent, "lib-widget-body", never, { "widget": { "alias": "widget"; "required": false; }; }, {}, never, never, false, never>;
}
