import { OnChanges, SimpleChanges } from '@angular/core';
import { WidgetModel } from '../../models/widget.model';
import { StyleBuilderService } from '../../../shared/services/style-builder.service';
import * as i0 from "@angular/core";
export declare class WidgetHeaderComponent implements OnChanges {
    private styleBulderService;
    widget: WidgetModel;
    headerStyle: {
        [key: string]: any;
    };
    subHeaderStyle: {
        [key: string]: any;
    };
    headerIconStyle: {
        [key: string]: any;
    };
    headerIconClass: string;
    constructor(styleBulderService: StyleBuilderService);
    ngOnChanges(changes: SimpleChanges): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WidgetHeaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WidgetHeaderComponent, "lib-widget-header", never, { "widget": { "alias": "widget"; "required": false; }; }, {}, never, never, false, never>;
}
