import { OnChanges } from '@angular/core';
import { WidgetModel } from '../../models/widget.model';
import { StyleBuilderService } from '../../../shared/services/style-builder.service';
import * as i0 from "@angular/core";
export declare class WidgetMainComponent implements OnChanges {
    private styleBulderService;
    constructor(styleBulderService: StyleBuilderService);
    widget: WidgetModel;
    index: number;
    widgetStyle: {
        [key: string]: any;
    };
    styleExpression: {
        [key: string]: any;
    };
    widgetCombinedStyle: {
        [key: string]: any;
    };
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WidgetMainComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WidgetMainComponent, "lib-widget-main", never, { "widget": { "alias": "widget"; "required": false; }; "index": { "alias": "index"; "required": false; }; }, {}, never, never, false, never>;
}
