import { OnChanges, OnDestroy, SimpleChanges } from '@angular/core';
import { StyleConfig, WidgetItem, WidgetModel } from '../../models/widget.model';
import { StyleBuilderService } from '../../../shared/services/style-builder.service';
import { WidgetStore } from '../../state/widget.store';
import * as i0 from "@angular/core";
export declare class WidgetMenuItemComponent implements OnChanges, OnDestroy {
    private styleBulderService;
    private widgetStore;
    widgetItem: WidgetItem;
    widget: WidgetModel;
    application: any;
    isShowExclamation: boolean;
    constructor(styleBulderService: StyleBuilderService, widgetStore: WidgetStore);
    getStyle(style: StyleConfig): {
        [key: string]: string;
    };
    ngOnChanges(changes: SimpleChanges): void;
    onHandleSidebar(propertyId: string): void;
    ngOnDestroy(): void;
    handleWidgetItemClick(widgetItem: WidgetItem): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WidgetMenuItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WidgetMenuItemComponent, "lib-widget-menu-item", never, { "widgetItem": { "alias": "widgetItem"; "required": false; }; "widget": { "alias": "widget"; "required": false; }; "application": { "alias": "application"; "required": false; }; }, {}, never, never, false, never>;
}
