import { OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { WidgetModel } from '../../models/widget.model';
import { WidgetService } from '../../state/widget.service';
import * as i0 from "@angular/core";
/**
 * WidgetRowTileComponent is a component that displays a row of widgets in a tile format.
 * It fetches the widgets based on the provided record ID and widget name.
 */
export declare class WidgetRowTileComponent implements OnInit, OnChanges, OnDestroy {
    private widgetService;
    private destroy$;
    widgets: WidgetModel[];
    isLoading: boolean;
    recordId: string;
    widgetName: string;
    onWidgetUpdate: any;
    constructor(widgetService: WidgetService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    getWidgetItemList(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WidgetRowTileComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WidgetRowTileComponent, "lib-widget-row-tile", never, { "recordId": { "alias": "recordId"; "required": false; }; "widgetName": { "alias": "widgetName"; "required": false; }; "onWidgetUpdate": { "alias": "onWidgetUpdate"; "required": false; }; }, {}, never, never, false, never>;
}
