import { OnDestroy, OnInit } from '@angular/core';
import { BaseFormComponent } from '../../../../shared/_base/base-form/base-form.component';
import { AdminActionModel } from '../../models/admin-action.model';
import { Message } from 'primeng/api';
import { AdminActionService } from '../../state/admin-action.service';
import { ValidatorService } from '../../../../shared/services/validator.service';
import { ActivatedRoute, Router } from '@angular/router';
import { AdminActionStore } from '../../state/admin-action.store';
import { AppConfigService, BaseQuery, BaseStore } from '../../../../shared';
import * as i0 from "@angular/core";
export declare class AdminActionFormComponent extends BaseFormComponent<AdminActionModel> implements OnInit, OnDestroy {
    adminActionService: AdminActionService;
    validatorService: ValidatorService;
    router: Router;
    activatedRoute: ActivatedRoute;
    adminActionStore: AdminActionStore;
    private appConfigService;
    baseStore: BaseStore<AdminActionModel>;
    baseQuery: BaseQuery<AdminActionModel>;
    messages: Message[];
    apiConfigList: any[];
    queueList: any[];
    constructor(adminActionService: AdminActionService, validatorService: ValidatorService, router: Router, activatedRoute: ActivatedRoute, adminActionStore: AdminActionStore, appConfigService: AppConfigService, baseStore: BaseStore<AdminActionModel>, baseQuery: BaseQuery<AdminActionModel>);
    ngOnInit(): void;
    handleValidateAction(): void;
    handleSubmit(): void;
    private isValidJSONArray;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AdminActionFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AdminActionFormComponent, "lib-admin-action-form", never, {}, {}, never, never, false, never>;
}
