import { BaseListComponent } from '../../../../shared/_base/base-list/base-list.component';
import { AdminActionModel } from '../../models/admin-action.model';
import { TableBuilder } from '../../../../shared/services/table.builder';
import { AdminActionService } from '../../state/admin-action.service';
import * as i0 from "@angular/core";
/**
 * Admin Action List Component
 */
export declare class AdminActionListComponent extends BaseListComponent<AdminActionModel> {
    private tableBuilder;
    pathName: string;
    editPermission: string;
    deletePermission: string;
    constructor(service: AdminActionService, tableBuilder: TableBuilder);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AdminActionListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AdminActionListComponent, "lib-admin-action-list", never, {}, {}, never, never, false, never>;
}
