import { OnInit } from '@angular/core';
import { BaseListComponent, TableBuilder } from '../../../../shared';
import { ApiConfigModel } from '../../models/api-config.model';
import { ApiAdminService } from '../../state/api-admin.service';
import * as i0 from "@angular/core";
/**
 * ApiAdminListComponent
 */
export declare class ApiAdminListComponent extends BaseListComponent<ApiConfigModel> implements OnInit {
    private tableBuilder;
    editPermission: string;
    deletePermission: string;
    pathName: string;
    constructor(apiAdminService: ApiAdminService, tableBuilder: TableBuilder);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ApiAdminListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ApiAdminListComponent, "lib-api-admin-list", never, {}, {}, never, never, false, never>;
}
