import { HttpClient } from '@angular/common/http';
import { DictionaryStore } from './dictionary.store';
import { DdAdminModel } from '../models/dictionary.model';
import { Observable } from 'rxjs';
import { BaseService, AppConfigService } from '../../../shared';
import { ListService } from '../../../shared/services/list.service';
import { ApiPropertyModel } from '../models/api-property.model';
import * as i0 from "@angular/core";
export declare class DictionaryService extends BaseService<DdAdminModel> {
    dictionaryStore: DictionaryStore;
    constructor(dictionaryStore: DictionaryStore, http: HttpClient, appConfigService: AppConfigService, listService: ListService);
    protected list: any;
    getAllApiProperties(name: string, id: string): Observable<ApiPropertyModel>;
    deleteDictionaryItemById(name: string, dictionaryItemId: string): Observable<DdAdminModel | any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<DictionaryService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DictionaryService>;
}
