import { DdAdminModel } from '../models/dictionary.model';
import { BaseStore } from '../../../shared/state/base.store';
import { ApiPropertyModel } from '../models/api-property.model';
import * as i0 from "@angular/core";
/**
 * DictionaryStore
 * @description Store for managing dictionary state
 */
export declare class DictionaryStore extends BaseStore<DdAdminModel> {
    setPropertiesData(value: ApiPropertyModel): void;
    setSidebarVisible(value: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DictionaryStore, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DictionaryStore>;
}
