import { OnChanges } from '@angular/core';
import { QueueModel } from '../../models/queue.model';
import { DataTransformerService } from '../../../../shared/services/data-transformer.service';
import { Router } from '@angular/router';
import { QueueService } from '../../state/queue.service';
import { QueueStore } from '../../state/queue.store';
import * as i0 from "@angular/core";
export declare class QueueApplicationListComponent implements OnChanges {
    queueService: QueueService;
    dataTransformService: DataTransformerService;
    router: Router;
    queueStore: QueueStore;
    queueData: QueueModel;
    selectedStatus: string;
    isAscending: boolean;
    associateQueueList: any;
    constructor(queueService: QueueService, dataTransformService: DataTransformerService, router: Router, queueStore: QueueStore);
    ngOnChanges(): void;
    loadAssociatedList(): void;
    getRandomCount(): number;
    getInitials(fullName: string): string;
    getTypeByIndex(index: number): string;
    getRandomType(): string;
    handleApplicationClick(application: any): void;
    onStatusChange(selectedStatus: any): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<QueueApplicationListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<QueueApplicationListComponent, "queue-application-list", never, { "queueData": { "alias": "queueData"; "required": false; }; }, {}, never, never, false, never>;
}
