import { OnDestroy, OnInit } from '@angular/core';
import { TemplateModel } from '../../models/template.model';
import { TemplateAdminService } from '../../state/template-admin.service';
import { ValidatorService } from '../../../../shared/services/validator.service';
import { BaseFormComponent, BaseQuery, BaseStore } from '../../../../shared';
import { ActivatedRoute, Router } from '@angular/router';
import { TemplateAdminStore } from '../../state/template-admin.store';
import { SelectItem } from 'primeng/api';
import { TemplateAdminQuery } from '../../state/template-admin.query';
import * as i0 from "@angular/core";
export declare class TemplateAdminFormComponent extends BaseFormComponent<TemplateModel> implements OnInit, OnDestroy {
    service: TemplateAdminService;
    validatorService: ValidatorService;
    router: Router;
    activatedRoute: ActivatedRoute;
    private query;
    templateStore: TemplateAdminStore;
    baseStore: BaseStore<TemplateModel>;
    baseQuery: BaseQuery<TemplateModel>;
    templateTypeList: SelectItem<any>[];
    dictionaries: any[];
    dictionaryItems: any[];
    messageContent: string;
    isFormSubmitted: boolean;
    constructor(service: TemplateAdminService, validatorService: ValidatorService, router: Router, activatedRoute: ActivatedRoute, query: TemplateAdminQuery, templateStore: TemplateAdminStore, baseStore: BaseStore<TemplateModel>, baseQuery: BaseQuery<TemplateModel>);
    ngOnInit(): void;
    handleQueueChange(event: any): void;
    handleDictionarySelect(dictionaryId: string): void;
    decodeHtml(html: string): string;
    handleSubmit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TemplateAdminFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TemplateAdminFormComponent, "lib-template-admin-form", never, {}, {}, never, never, false, never>;
}
