import { TemplateModel } from '../../models/template.model';
import { BaseListComponent, BaseStore, TableBuilder } from '../../../../shared';
import { TemplateAdminService } from '../../state/template-admin.service';
import * as i0 from "@angular/core";
export declare class TemplateAdminListComponent extends BaseListComponent<TemplateModel> {
    private tableBuilder;
    private baseStore;
    pathName: string;
    activeTabIndex: number;
    selectedType: string;
    editPermission: string;
    deletePermission: string;
    constructor(templateAdminService: TemplateAdminService, tableBuilder: TableBuilder, baseStore: BaseStore<TemplateModel>);
    ngOnInit(): void;
    onTabChange(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TemplateAdminListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TemplateAdminListComponent, "lib-template-admin-list", never, {}, {}, never, never, false, never>;
}
