export declare class SHARED {
    static EMPTY: string;
    static REQUIRED_ERROR: string;
    static EMPTYARRAY: never[];
    static NULL: string;
    static SOLICITORID: string;
    static HIPHEN: string;
    static SLASH: string;
    static USERROLE: string;
    static SESSIONKEY: string;
    static SUCCESS: string;
    static ERROR: string;
    static ERROR_MESSAGE: string;
    static SUCCESS_MESSAGE: string;
    static DICTIONARY: string;
    static TITLE: string;
    static DICTIONARY_ITEM: string;
    static DICTIONARY_ITEM_MAPPER: string;
    static SIDEBAR_MASK: string;
    static CUSTOMSIDEBAROVERLAY: string;
    static ID: string;
    static _ID: string;
    static DATE_FORMAT: string;
    static DATE_FORMAT_TYPE2: string;
    static DATE_FORMAT_TYPE3: string;
    static DATE_FORMAT_TYPE4: string;
    static INVALIDDATE: string;
    static __V: string;
    static CREATEDAT: string;
    static UPDATEDAT: string;
    static ZERO: number;
    static TYPE_OBJECT: string;
    static DICTIONARYITEMS: string;
    static GET_DATA_MESSAGE: {
        severity: string;
        detail: string;
        life: number;
    }[];
    static PRIMARY: string;
    static mappingInfo: string;
    static YES: string;
    static NO: string;
    static selectedQueue: string;
    static DASH: string;
    static selectedApplication: string;
    static selectedApplicationNumber: string;
    static GREEN: string;
    static RED: string;
    static FROM_EMAIL: string;
    static to_EMAIL: string;
    static EMAIL: string;
    static token: string;
    static null: string;
    static undefined: string;
    static rationale: string;
    static accepted: string;
    static application: string;
    static INVALID_API_PATH: string;
    static WIDTH_AUTO: string;
    static TRUE: boolean;
    static FALSE: boolean;
    static STRING_TRUE: string;
    static STRING_FALSE: string;
    static AND: string;
    static STRING: string;
    static OPERATORS: string[];
    static STATUS_ACTIVE: string;
    static TODAY: string;
    static YESTERDAY: string;
    static ALL: string;
    static UK: string;
    static INTERNATIONAL: string;
    static QUEUE1: string;
    static QUEUE2: string;
    static QUEUE3: string;
    static SELECTED_QUEUE: string;
    static QUEUEID: string;
    static QUESTION_MARK: string;
    static EQUALS: string;
    static AMPERSAND: string;
    static RECORDID: string;
    static MISSING_WIDGETNAME: string;
    static MISSING_QUEUE_ID: string;
    static MISSING_RECORD_ID: string;
    static EMPTY_STRING: string;
    static SELECTED_QUEUE_ID: string;
    static ISITEMEXPRESSION: string;
    static DT2: string;
    static TEXTBOXFIELD: string;
    static DROPDOWN: string;
    static TEXTAREA: string;
    static DATAITEMS: string;
    static ASC: string;
    static DESC: string;
    static ACTIVE: string;
    static IN_ACTIVE: string;
    static SEMICOLON_STRING: string;
    static COLON_STRING: string;
    static PAGINATOR: string;
    static BROWSER_WARNING: string;
    static DIRECT_DEBITID: string;
    static DIRECT_DEBIT: string;
    static SOLICITOR: string;
    static PRODUCT: string;
    static COMMITMENTS: string;
    static PRODUCT_ID: string;
    static EXPENDITURE: string;
    static INCOME: string;
    static WIDGET_NAME: string;
    static IS_MENU: string;
    static ON_WIDGET_UPDATE: string;
    static selectedApplicationType: string;
    static APPLICANTS: string;
    static SECURITY_ADDRESS: string;
    static TASKS: string;
}
export declare const widgetLayoutTypeList: {
    name: string;
    value: string;
}[];
export declare const statusList: {
    name: string;
}[];
export declare const msgTemplateTypeList: {
    id: number;
    value: string;
}[];
export declare const textEditorToolbar: (string[] | {
    list: string;
}[] | {
    header: (number | boolean)[];
}[])[];
export declare const TemplateTabType: string[];
export declare const MESSAGE_TYPES: string[];
export declare const delimiters: string[];
export declare const dictionaryItemList: never[];
export declare const dictionaryItemMapperList: never[];
export declare const dictionaryApiFieldList: {
    title: string;
    data: {
        name: string;
    }[];
};
export declare const FolderPanel: {
    _id: string;
    fileCount: number;
    text: string;
    missingFiles: number;
    pendingFiles: number;
}[];
export declare const DocumentList: {
    id: number;
    fileName: string;
    status: string;
    documentUrl: string;
}[];
export declare const widgetLinkList: {
    name: string;
    code: string;
}[];
export declare const dictionaryList: {
    id: number;
    Name: string;
    API: string;
}[];
export declare const SEQUENTIAL_MESSAGE: string[];
export declare const apiHiddenHeaderList: string[];
export declare const dictionaryHiddenHeaderList: string[];
export declare const widgetHiddenHeaderList: string[];
export declare const templateHiddenHeaderList: string[];
export declare const hiddenHeaderList: string[];
export declare const expectedRoutes: string[];
export declare const mileList: {
    name: string;
    value: number;
}[];
export declare const messageType: {
    name: string;
    icon: string;
}[];
export declare const propertyDataList: ({
    key: string;
    label: string;
    data: string;
    icon: string;
    children: {
        key: string;
        label: string;
        icon: string;
        data: string;
    }[];
} | {
    key: string;
    label: string;
    data: string;
    icon: string;
    children: {
        key: string;
        label: string;
        icon: string;
        data: string;
        children: ({
            key: string;
            label: string;
            icon: string;
            data: string;
            selectable?: undefined;
        } | {
            key: string;
            label: string;
            icon: string;
            data: string;
            selectable: boolean;
        })[];
    }[];
})[];
export declare const actionHiddenHeaderList: string[];
export declare const actionList: {
    action: string;
    prompt: string;
    queueId: string;
    apiEndPoint: string;
    status: string;
}[];
export declare const offerWidgetList: ({
    title: string;
    badge: string;
    badgeIcon: string;
    statusList: ({
        description: string;
        status: string;
        title?: undefined;
        textColor?: undefined;
    } | {
        title: string;
        description: string;
        status: string;
        textColor: string;
    })[];
    viewAll: string;
} | {
    title: string;
    badge: string;
    badgeIcon: string;
    statusList: ({
        description: string;
        status: string;
        title?: undefined;
        textColor?: undefined;
    } | {
        title: string;
        description: string;
        status: string;
        textColor: string;
    })[];
    viewAll?: undefined;
})[];
export declare const actionTableColumnWidthList: {
    name: string;
    apiConfigId: string;
    queueId: string;
    prompt: string;
    isActive: string;
};
export declare const queuePriorityOrder: string[];
export declare const QUEUE_RECORD_TABLE_COLUMN_WIDTH_LIST: {
    brokerName: string;
    securityAddress: string;
    applicants: string;
};
export declare const FIELD_DISPLAY_NAMES: {
    [key: string]: string;
};
