import { CustomWidgetModel, StatusItem } from "../../models/custom-widget.model";
import { CustomWidgetService } from "../../../shared/services/custom-widget.service";
import * as i0 from "@angular/core";
export declare class CustomWidgetComponent {
    private widgetUtilService;
    widgetData: CustomWidgetModel;
    constructor(widgetUtilService: CustomWidgetService);
    isLastIndex(event: StatusItem): boolean;
    getNextEventStatus(event: StatusItem): string | null;
    getEventIndex(event: StatusItem): number;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CustomWidgetComponent, "lib-custom-widget", never, { "widgetData": { "alias": "widgetData"; "required": false; }; }, {}, never, never, false, never>;
}
