import { EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { WidgetStore } from '../../state/widget.store';
import { CustomWidgetModel } from '../../../shared/models/custom-widget.model';
import * as i0 from "@angular/core";
/**
 * Widget Container Component
 */
export declare class WidgetContainerComponent implements OnChanges {
    private widgetStore;
    constructor(widgetStore: WidgetStore);
    isMenu: boolean;
    offerWidgetData: CustomWidgetModel;
    valuationWidgetData: CustomWidgetModel;
    widgetName: string;
    recordId: string;
    onWidgetUpdate: any;
    onViewAllDetails: EventEmitter<any>;
    onWidgetEventClick: EventEmitter<any>;
    onWidgetItemClick: EventEmitter<any>;
    ngOnChanges(changes: SimpleChanges): void;
    handleViewAllDetails(event: any): void;
    handleWidgetEventClick(event: any): void;
    handleWidgetItemClick(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WidgetContainerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WidgetContainerComponent, "lib-widget-container", never, { "isMenu": { "alias": "isMenu"; "required": false; }; "offerWidgetData": { "alias": "offerWidgetData"; "required": false; }; "valuationWidgetData": { "alias": "valuationWidgetData"; "required": false; }; "widgetName": { "alias": "widgetName"; "required": false; }; "recordId": { "alias": "recordId"; "required": false; }; "onWidgetUpdate": { "alias": "onWidgetUpdate"; "required": false; }; }, { "onViewAllDetails": "onViewAllDetails"; "onWidgetEventClick": "onWidgetEventClick"; "onWidgetItemClick": "onWidgetItemClick"; }, never, never, false, never>;
}
