import { WidgetModel } from '../models/widget.model';
import { WidgetStore } from './widget.store';
import { BaseQuery } from '../../shared';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
/**
 * Widget Admin Query
 */
export declare class WidgetQuery extends BaseQuery<WidgetModel> {
    protected store: WidgetStore;
    private widgetStore;
    constructor(store: WidgetStore, widgetStore: WidgetStore);
    getOnViewAllDetails(): Observable<any>;
    getViewPropertyDetails(): Observable<any>;
    getEventClickDetails(): Observable<any>;
    getOnWidgetItemClick(): Observable<any>;
    getWidgetItem(): Observable<any>;
    getIsMenu(): Observable<any>;
    getWidgetData(): Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<WidgetQuery, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<WidgetQuery>;
}
