import { WidgetModel } from '../models/widget.model';
import { BaseStore } from '../../shared';
import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
/**
 * Widget Admin Store
 */
export declare class WidgetStore extends BaseStore<WidgetModel> {
    onViewAllDetails$: BehaviorSubject<any>;
    onViewPropertyDetails$: BehaviorSubject<any>;
    onEventClickDetails$: BehaviorSubject<any>;
    onItemClick$: BehaviorSubject<any>;
    getWidgetData$: BehaviorSubject<any>;
    constructor();
    setEventClickDetails(value: any): void;
    setOnViewPropertyDetails(value: any): void;
    setOnViewAllDetails(value: any): void;
    resetOnViewAllDetails(): void;
    setOnWidgetItemClick(value: any): void;
    setWidgetItem(widgetItem: any): void;
    setIsMenu(isMenu: boolean): void;
    setWidgetData(value: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WidgetStore, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<WidgetStore>;
}
